#define MPU60X0_I2CADDR 0xD0
#define ROLL 0
#define PITCH 1
#define YAW 2

void setup()
{
  Serial.begin(115200);
  
  // this disables internal pull-up resistors for ATmega128RFA1
  // edit this bit to suit your needs
  PORTD &= ~_BV(0);
  PORTD &= ~_BV(1);
  DDRD &= ~_BV(0);
  DDRD &= ~_BV(1);
  
  i2c_init();
  dmp_init();
}

int16_t angle[2];
int16_t gyroADC[3];

uint32_t lastTime = 0;

boolean toPrint = false;

void loop()
{
  dmp_loop();

  // output to serial port every 0.5 seconds
  uint32_t curTime = millis();
  if (curTime - lastTime > 500) {
    toPrint = true;
    lastTime = curTime;
  }
}
